Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.rico.engine.enums
Enum ShadowType

    java.lang.Object
      java.lang.Enum<ShadowType>
          de.rico.engine.enums.ShadowType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ShadowType>

    public enum ShadowType

extends java.lang.Enum<ShadowType>

This enumeration specifies the possible types of shadows for rendering

Author:
  Frank Bruns

Enum Constant Summary
`BLOB_SHADOW`
`NO_SHADOWS`
`SHADOW_MAP` Deprecated.
`SHADOW_MATRIX`

Method Summary
`static ShadowType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShadowType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_SHADOWS

    public static final ShadowType NO_SHADOWS

### BLOB_SHADOW

    public static final ShadowType BLOB_SHADOW

### SHADOW_MATRIX

    public static final ShadowType SHADOW_MATRIX

### SHADOW_MAP

    @Deprecated
    public static final ShadowType SHADOW_MAP

  Deprecated.

Method Detail

### values

    public static final ShadowType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ShadowType c : ShadowType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ShadowType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD